SFML 3.0.2
Loading...
Searching...
No Matches
Public Attributes | List of all members
sf::Event::MouseButtonPressed Struct Reference

Mouse button pressed event subtype. More...

`#include <SFML/Window/Event.hpp>`

## Public Attributes

Mouse::Button | button {}
| Code of the button that has been pressed.
Vector2i | position
| Position of the mouse pointer, relative to the top left of the owner window.

## Detailed Description

Mouse button pressed event subtype.

Definition at line 135 of file Event.hpp.

## Member Data Documentation

## ◆ button

Mouse::Button sf::Event::MouseButtonPressed::button {}

Code of the button that has been pressed.

Definition at line 137 of file Event.hpp.

## ◆ position

Vector2i sf::Event::MouseButtonPressed::position

Position of the mouse pointer, relative to the top left of the owner window.

Definition at line 138 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp